Class UmlBaseClassInstanceReference

this class manages class instance reference

Declaration :

- C++ : class UmlBaseClassInstanceReference
- Java : class UmlBaseClassInstanceReference

Directly inherited by : UmlClassInstanceReference

Artifact : UmlBaseClassInstanceReference

Operation type

return the type of the instance

Declaration :

- Uml : + type() : UmlClass
- C++ : public: UmlClass * type() const
- Java : public UmlClass type()

Operation instance

return the corresponding instance in the model, or 0/null

Declaration :

- Uml : + instance() : UmlClassInstance
- C++ : public: UmlClassInstance * instance() const
- Java : public UmlClassInstance instance()

Operation name

return the name of the instance

Declaration :

- Uml : + name() : string
- C++ : public: const QCString & name() const
- Java : public String name()

Relation _class (<unidirectional association>)

Declaration :

- Uml : - _class : UmlClass
- C++ : private: UmlClass * _class
- Java : private UmlClass _class

Relation _instance (<unidirectional association>)

Declaration :

- Uml : - _instance : UmlClassInstance
- C++ : private: UmlClassInstance * _instance
- Java : private UmlClassInstance _instance

Attribute _name

Declaration :

- Uml : - _name : string
- C++ : private: QCString _name
- Java : private String _name

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseSequenceDiagramDefinition;
        friend class UmlBaseCollaborationDiagramDefinition;

All public operations : instance , name , read_ , type